#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace MultiColumnDropDown
{
    public class ViewModel : INotifyPropertyChanged
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ViewModel"/> class.
        /// </summary>
        public ViewModel()
        {
            this.PopulateData();
            _shipCities = CountryDetailsRepository.GetShipCities();          
        }
        
        private ObservableCollection<OrderDetails> _orderDatails;
        /// <summary>
        /// Gets or sets the orders details.
        /// </summary>
        /// <value>The orders details.</value>
        public ObservableCollection<OrderDetails> OrderDetails
        {
            get
            {
                return _orderDatails;
            }
            set
            {
                _orderDatails = value;
                RaisePropertyChanged("OrderDetails");
            }
        }       

        Dictionary<string, ObservableCollection<ShipCityDetails>> _shipCities;
        /// <summary>
        /// Gets or sets the ship cities.
        /// </summary>
        /// <value>The ship cities.</value>
        public Dictionary<string, ObservableCollection<ShipCityDetails>> ShipCities
        {
            get
            {
                return _shipCities;
            }
            set
            {
                _shipCities = value;
            }
        }        
        
        public void PopulateData()
        {
           
            _orderDatails = new ObservableCollection<OrderDetails>();
            _orderDatails.Add(new OrderDetails(1007, "ALFKI", "Alice Mutton", 11, "Italy", 134));
            _orderDatails.Add(new OrderDetails(1000, "FRANS", "NuNuCa Nub-Nougat-Creme",4, "Argentina", 101));
            _orderDatails.Add(new OrderDetails(1001, "MEREP", "Boston Crab Meat", 5, "Austria", 106));
            _orderDatails.Add(new OrderDetails(1002, "FOLKO", "Raclette Courdavault", 20, "Belgium", 111));
            _orderDatails.Add(new OrderDetails(1003, "SIMOB", "Wimmers gute Semmelknodel", 25, "Brazil", 115));
            _orderDatails.Add(new OrderDetails(1004, "WARTH", "Konbu", 20, "Canada", 120));
            
        }
       

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
